org.apache.hadoop.yarn.api.resource

## Class PlacementConstraint.AbstractConstraint

- java.lang.Object
- - org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint

- All Implemented Interfaces:
    PlacementConstraint.Visitable
  Direct Known Subclasses:
    PlacementConstraint.CardinalityConstraint, PlacementConstraint.CompositeConstraint, PlacementConstraint.SingleConstraint, PlacementConstraint.TargetConstraint
  Enclosing class:
    PlacementConstraint

      public abstract static class PlacementConstraint.AbstractConstraint
      extends Object
      implements PlacementConstraint.Visitable

  Abstract class that acts as the superclass of all placement constraint classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlacementConstraint` | `build()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.api.resource.PlacementConstraint.Visitable

      `accept`

- - ### Constructor Detail

    - #### AbstractConstraint

          public AbstractConstraint()

  - ### Method Detail

    - #### build

          public PlacementConstraint build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.